Index: trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk	(revision 83720)
+++ trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk	(revision 83721)
@@ -1330,5 +1330,4 @@
 	src/globals/UIActionPoolRuntime.cpp \
 	src/globals/UIAnimationFramework.cpp \
-	src/globals/UICloudMachine.cpp \
 	src/globals/UICloudNetworkingStuff.cpp \
 	src/globals/UICommon.cpp \
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UICloudMachine.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UICloudMachine.cpp	(revision 83720)
+++ 	(revision )
@@ -1,149 +1,0 @@
-/* $Id$ */
-/** @file
- * VBox Qt GUI - UICloudMachine class implementation.
- */
-
-/*
- * Copyright (C) 2020 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-/* Qt includes: */
-#include <QMap>
-
-/* GUI includes: */
-#include "UICloudMachine.h"
-#include "UICloudNetworkingStuff.h"
-
-
-/*********************************************************************************************************************************
-*   Class UICloudMachineData implementation.                                                                                     *
-*********************************************************************************************************************************/
-
-UICloudMachineData::UICloudMachineData(const CCloudClient &comCloudClient,
-                                       const QString &strInstanceId,
-                                       const QString &strInstanceName)
-    : m_comCloudClient(comCloudClient)
-    , m_strInstanceId(strInstanceId)
-    , m_strInstanceName(strInstanceName)
-    , m_uId(QUuid::createUuid())
-    , m_fAccessible(true)
-    , m_enmMachineState(KMachineState_PoweredOff)
-    , m_strOsType("Other")
-    , m_iMemorySize(0)
-    , m_iCpuCount(0)
-{
-    //printf("Data for machine with id = {%s} is created\n", m_strInstanceId.toUtf8().constData());
-}
-
-UICloudMachineData::UICloudMachineData(const UICloudMachineData &other)
-    : QSharedData(other)
-    , m_comCloudClient(other.m_comCloudClient)
-    , m_strInstanceId(other.m_strInstanceId)
-    , m_strInstanceName(other.m_strInstanceName)
-    , m_uId(other.m_uId)
-    , m_fAccessible(other.m_fAccessible)
-    , m_strAccessError(other.m_strAccessError)
-    , m_enmMachineState(other.m_enmMachineState)
-    , m_strOsType(other.m_strOsType)
-    , m_iMemorySize(other.m_iMemorySize)
-    , m_iCpuCount(other.m_iCpuCount)
-    , m_strShape(other.m_strShape)
-    , m_strDomain(other.m_strDomain)
-    , m_strBootingFirmware(other.m_strBootingFirmware)
-    , m_strImageId(other.m_strImageId)
-{
-    //printf("Data for machine with id = {%s} is copied\n", m_strInstanceId.toUtf8().constData());
-}
-
-UICloudMachineData::~UICloudMachineData()
-{
-    //printf("Data for machine with id = {%s} is deleted\n", m_strInstanceId.toUtf8().constData());
-}
-
-void UICloudMachineData::refresh()
-{
-    /* Reset access error: */
-    m_strAccessError.clear();
-
-    /* Acquire instance info sync way, be aware, this is blocking stuff, it takes some time: */
-    const QMap<KVirtualSystemDescriptionType, QString> instanceInfoMap = getInstanceInfo(m_comCloudClient,
-                                                                                         m_strInstanceId,
-                                                                                         m_strAccessError);
-    /* Update accessibility state: */
-    m_fAccessible = m_strAccessError.isNull();
-
-    /* Refresh corresponding values if accessible: */
-    if (m_fAccessible)
-    {
-        m_strOsType = fetchOsType(instanceInfoMap);
-        m_iMemorySize = fetchMemorySize(instanceInfoMap);
-        m_iCpuCount = fetchCpuCount(instanceInfoMap);
-        m_enmMachineState = fetchMachineState(instanceInfoMap);
-        m_strShape = fetchShape(instanceInfoMap);
-        m_strDomain = fetchDomain(instanceInfoMap);
-        m_strBootingFirmware = fetchBootingFirmware(instanceInfoMap);
-        m_strImageId = fetchImageId(instanceInfoMap);
-
-        /* Acquire image info sync way, be aware, this is blocking stuff, it takes some time: */
-        const QMap<QString, QString> imageInfoMap = getImageInfo(m_comCloudClient, m_strImageId, m_strAccessError);
-        /* Update accessibility state: */
-        m_fAccessible = m_strAccessError.isNull();
-
-        //printf("Image info:\n");
-        //foreach (const QString &strKey, imageInfoMap.keys())
-        //    printf("key = %s, value = %s\n", strKey.toUtf8().constData(), imageInfoMap.value(strKey).toUtf8().constData());
-        //printf("\n");
-
-        /* Refresh corresponding values if accessible: */
-        if (m_fAccessible)
-        {
-            /* Sorry, but these are hardcoded in Main: */
-            m_strImageName = imageInfoMap.value("display name");
-            m_strImageSize = imageInfoMap.value("size");
-        }
-    }
-
-    /* Reset everything if not accessible: */
-    if (!m_fAccessible)
-    {
-        m_enmMachineState = KMachineState_PoweredOff;
-        m_strOsType = "Other";
-        m_iMemorySize = 0;
-        m_iCpuCount = 0;
-        m_strShape.clear();
-        m_strDomain.clear();
-        m_strBootingFirmware.clear();
-        m_strImageId.clear();
-        m_strImageName.clear();
-        m_strImageSize.clear();
-    }
-}
-
-
-/*********************************************************************************************************************************
-*   Class UICloudMachine implementation.                                                                                         *
-*********************************************************************************************************************************/
-
-UICloudMachine::UICloudMachine()
-{
-}
-
-UICloudMachine::UICloudMachine(const CCloudClient &comCloudClient,
-                               const QString &strInstanceId,
-                               const QString &strInstanceName)
-    : d(new UICloudMachineData(comCloudClient, strInstanceId, strInstanceName))
-{
-}
-
-UICloudMachine::UICloudMachine(const UICloudMachine &other)
-    : d(other.d)
-{
-}
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UICloudMachine.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UICloudMachine.h	(revision 83720)
+++ 	(revision )
@@ -1,208 +1,0 @@
-/* $Id$ */
-/** @file
- * VBox Qt GUI - UICloudMachine class declaration.
- */
-
-/*
- * Copyright (C) 2020 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-#ifndef FEQT_INCLUDED_SRC_globals_UICloudMachine_h
-#define FEQT_INCLUDED_SRC_globals_UICloudMachine_h
-#ifndef RT_WITHOUT_PRAGMA_ONCE
-# pragma once
-#endif
-
-/* Qt includes: */
-#include <QObject>
-#include <QSharedData>
-#include <QUuid>
-
-/* GUI includes: */
-#include "UILibraryDefs.h"
-
-/* COM includes: */
-#include "COMEnums.h"
-#include "CCloudClient.h"
-
-/** QSharedData subclass to handle shared data for cloud VM wrapper below. */
-class SHARED_LIBRARY_STUFF UICloudMachineData : public QSharedData
-{
-public:
-
-    /** Constructs shared cloud VM data on the basis of arguments.
-      * @param  comCloudClient   Brings the cloud client object reference.
-      * @param  strInstanceId    Brings the cloud instance id.
-      * @param  strInstanceName  Brings the cloud instance name. */
-    UICloudMachineData(const CCloudClient &comCloudClient,
-                       const QString &strInstanceId,
-                       const QString &strInstanceName);
-    /** Constructs shared cloud VM data on the basis of @a other data. */
-    UICloudMachineData(const UICloudMachineData &other);
-    /** Destructs shared cloud VM data. */
-    virtual ~UICloudMachineData();
-
-    /** Performs data refreshing. */
-    void refresh();
-
-    /** Returns cloud client object reference. */
-    CCloudClient cloudClient() const { return m_comCloudClient; }
-
-    /** Returns cloud instance id. */
-    QString instanceId() const { return m_strInstanceId; }
-    /** Returns cloud instance name. */
-    QString instanceName() const { return m_strInstanceName; }
-
-    /** Returns cloud VM id. */
-    QUuid id() const { return m_uId; }
-
-    /** Returns whether cloud VM is accessible. */
-    bool accessible() const { return m_fAccessible; }
-    /** Returns last access error message. */
-    QString accessError() const { return m_strAccessError; }
-
-    /** Returns cloud VM state. */
-    KMachineState machineState() const { return m_enmMachineState; }
-
-    /** Returns cloud VM OS type. */
-    QString osType() const { return m_strOsType; }
-    /** Returns cloud VM memory size. */
-    int memorySize() const { return m_iMemorySize; }
-    /** Returns cloud VM CPU count. */
-    int cpuCount() const { return m_iCpuCount; }
-    /** Returns cloud VM shape. */
-    QString shape() const { return m_strShape; }
-    /** Returns cloud VM domain. */
-    QString domain() const { return m_strDomain; }
-    /** Returns cloud VM booting firmware. */
-    QString bootingFirmware() const { return m_strBootingFirmware; }
-    /** Returns cloud VM image id. */
-    QString imageId() const { return m_strImageId; }
-    /** Returns cloud VM image name. */
-    QString imageName() const { return m_strImageName; }
-    /** Returns cloud VM image size. */
-    QString imageSize() const { return m_strImageSize; }
-
-private:
-
-    /** Holds the cloud client object reference. */
-    CCloudClient  m_comCloudClient;
-
-    /** Holds the cloud instance id. */
-    const QString  m_strInstanceId;
-    /** Holds the cloud instance name. */
-    const QString  m_strInstanceName;
-
-    /** Holds the cloud VM id. */
-    const QUuid  m_uId;
-
-    /** Holds whether cloud VM is accessible. */
-    bool     m_fAccessible;
-    /** Holds the last access error message. */
-    QString  m_strAccessError;
-
-    /** Holds the cloud VM state. */
-    KMachineState  m_enmMachineState;
-
-    /** Holds the cloud VM OS type. */
-    QString  m_strOsType;
-    /** Holds the cloud VM memory size. */
-    int      m_iMemorySize;
-    /** Holds the cloud VM CPU count. */
-    int      m_iCpuCount;
-    /** Holds the cloud VM shape. */
-    QString  m_strShape;
-    /** Holds the cloud VM domain. */
-    QString  m_strDomain;
-    /** Holds the cloud VM booting firmware. */
-    QString  m_strBootingFirmware;
-    /** Holds the cloud VM image id. */
-    QString  m_strImageId;
-    /** Holds the cloud VM image name. */
-    QString  m_strImageName;
-    /** Holds the cloud VM image size. */
-    QString  m_strImageSize;
-};
-
-/** Class representing cloud VM wrapper.
-  * This is temporary class before ICloudMachine interface is represented.
-  * This class is based on explicitly-shared memory and thus optimized
-  * for being passed across as copied object, not just reference. */
-class SHARED_LIBRARY_STUFF UICloudMachine
-{
-public:
-
-    /** Constructs null cloud VM wrapper. */
-    UICloudMachine();
-    /** Constructs cloud VM wrapper on the basis of arguments.
-      * @param  comCloudClient   Brings the cloud client object instance.
-      * @param  strInstanceId    Brings the cloud instance id.
-      * @param  strInstanceName  Brings the cloud instance name. */
-    UICloudMachine(const CCloudClient &comCloudClient,
-                   const QString &strInstanceId,
-                   const QString &strInstanceName);
-    /** Constructs cloud VM wrapper on the basis of @a other wrapper. */
-    UICloudMachine(const UICloudMachine &other);
-
-    /** Performs data refreshing. */
-    void refresh() { d->refresh(); }
-
-    /** Returns whether cloud VM wrapper is null. */
-    bool isNull() const { return !d.constData(); }
-
-    /** Returns cloud client object reference. */
-    CCloudClient client() const { return d->cloudClient(); }
-
-    /** Returns cloud instance id. */
-    QString instanceId() const { return d->instanceId(); }
-    /** Returns cloud instance name. */
-    QString instanceName() const { return d->instanceName(); }
-
-    /** Returns cloud VM id. */
-    QUuid id() const { return d->id(); }
-
-    /** Returns whether cloud VM is accessible. */
-    bool accessible() const { return d->accessible(); }
-    /** Returns last access error message. */
-    QString accessError() const { return d->accessError(); }
-
-    /** Returns cloud VM state. */
-    KMachineState machineState() { return d->machineState(); }
-
-    /** Returns cloud VM OS type. */
-    QString osType() const { return d->osType(); }
-    /** Returns cloud VM memory size. */
-    int memorySize() const { return d->memorySize(); }
-    /** Returns cloud VM CPU count. */
-    int cpuCount() const { return d->cpuCount(); }
-    /** Returns cloud VM shape. */
-    QString shape() const { return d->shape(); }
-    /** Returns cloud VM domain. */
-    QString domain() const { return d->domain(); }
-    /** Returns cloud VM booting firmware. */
-    QString bootingFirmware() const { return d->bootingFirmware(); }
-    /** Returns cloud VM image id. */
-    QString imageId() const { return d->imageId(); }
-    /** Returns cloud VM image name. */
-    QString imageName() const { return d->imageName(); }
-    /** Returns cloud VM image size. */
-    QString imageSize() const { return d->imageSize(); }
-
-private:
-
-    /** Holds the pointer to explicitly shared cloud VM data. */
-    QExplicitlySharedDataPointer<UICloudMachineData>  d;
-};
-
-/* Make meta-object sub-system aware: */
-Q_DECLARE_METATYPE(UICloudMachine);
-
-#endif /* !FEQT_INCLUDED_SRC_globals_UICloudMachine_h */