Index: /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart-posix.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart-posix.cpp	(revision 83796)
+++ /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart-posix.cpp	(revision 83797)
@@ -53,7 +53,4 @@
 #include <iprt/dir.h>
 
-#include <algorithm>
-#include <list>
-#include <string>
 #include <signal.h>
 
@@ -268,27 +265,24 @@
 
     RTStrmPrintf(g_pStdErr,
-                 "Usage:\n"
-                 " %s [-v|--verbose] [-h|-?|--help]\n"
-                 " [-F|--logfile=<file>] [-R|--logrotate=<num>] [-S|--logsize=<bytes>]\n"
-                 " [-I|--loginterval=<seconds>]\n"
-                 " [-c|--config=<config file>]\n", pszImage);
-
-    RTStrmPrintf(g_pStdErr, "\n"
+                 "Usage: %s [-v|--verbose] [-h|-?|--help]\n"
+                 "           [-F|--logfile=<file>] [-R|--logrotate=<num>]\n"
+                 "           [-S|--logsize=<bytes>] [-I|--loginterval=<seconds>]\n"
+                 "           [-c|--config=<config file>]\n",
+                 pszImage);
+
+    RTStrmPrintf(g_pStdErr,
+                 "\n"
                  "Options:\n");
-
-    for (unsigned i = 0;
-         i < RT_ELEMENTS(g_aOptions);
-         ++i)
-    {
-        std::string str(g_aOptions[i].pszLong);
+    for (unsigned i = 0; i < RT_ELEMENTS(g_aOptions); i++)
+    {
+        char szOptions[128];
+        const char *pszOptions = g_aOptions[i].pszLong;
         if (g_aOptions[i].iShort < 1000) /* Don't show short options which are defined by an ID! */
         {
-            str += ", -";
-            str += g_aOptions[i].iShort;
-        }
-        str += ":";
+            RTStrPrintf(szOptions, sizeof(szOptions), "%s, -%c", g_aOptions[i].pszLong, g_aOptions[i].iShort);
+            pszOptions = szOptions;
+        }
 
         const char *pcszDescr = "";
-
         switch (g_aOptions[i].iShort)
         {
@@ -324,5 +318,5 @@
         }
 
-        RTStrmPrintf(g_pStdErr, "%-23s%s\n", str.c_str(), pcszDescr);
+        RTStrmPrintf(g_pStdErr, "%-23s%s\n", pszOptions, pcszDescr);
     }
 
Index: /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart-win.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart-win.cpp	(revision 83796)
+++ /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostart-win.cpp	(revision 83797)
@@ -835,5 +835,5 @@
         com::Utf8Str sDomain;
         com::Utf8Str sUserTmp;
-        int rc = autostartGetDomainAndUser(pNode->pszKey, sDomain, sUserTmp);
+        rc = autostartGetDomainAndUser(pNode->pszKey, sDomain, sUserTmp);
         if (RT_FAILURE(rc))
             continue;
@@ -875,10 +875,10 @@
     }
 
-    RTEXITCODE ec = autostartStartMain(pCfgAstUser);
+    RTEXITCODE rcExit = autostartStartMain(pCfgAstUser);
     autostartConfigAstDestroy(pCfgAst);
-    if (ec != RTEXITCODE_SUCCESS)
+    if (rcExit != RTEXITCODE_SUCCESS)
         autostartSvcLogError("Starting VMs failed\n");
 
-    return ec;
+    return rcExit;
 }
 
Index: /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStop.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStop.cpp	(revision 83796)
+++ /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStop.cpp	(revision 83797)
@@ -29,7 +29,5 @@
 #include <iprt/message.h>
 
-#include <algorithm>
 #include <list>
-#include <string>
 
 #include "VBoxAutostart.h"
Index: /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartUtils.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartUtils.cpp	(revision 83796)
+++ /trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartUtils.cpp	(revision 83797)
@@ -30,9 +30,5 @@
 #include <iprt/stream.h>
 #include <iprt/log.h>
-#include <iprt/path.h>
-
-#include <algorithm>
-#include <list>
-#include <string>
+#include <iprt/path.h>      /* RTPATH_MAX */
 
 #include "VBoxAutostart.h"