Index: trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxModAPIMonitor.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxModAPIMonitor.cpp	(revision 83797)
+++ trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxModAPIMonitor.cpp	(revision 83798)
@@ -626,15 +626,17 @@
     0 /* Not used */,
     /* pszUsage. */
-    " [--apimon-groups=<string[,stringN]>]\n"
-    " [--apimon-isln-response=<cmd>] [--apimon-isln-timeout=<ms>]\n"
-    " [--apimon-resp-timeout=<ms>]",
+    "           [--apimon-groups=<string[,stringN]>]\n"
+    "           [--apimon-isln-response=<cmd>] [--apimon-isln-timeout=<ms>]\n"
+    "           [--apimon-resp-timeout=<ms>]",
     /* pszOptions. */
-    "--apimon-groups        Sets the VM groups for monitoring (all),\n"
-    "                       comma-separated list.\n"
-    "--apimon-isln-response Sets the isolation response to one of:\n"
-    "                       none, pause, poweroff, save, shutdown\n"
-    "                       (none).\n"
-    "--apimon-isln-timeout  Sets the isolation timeout in ms (30s).\n"
-    "--apimon-resp-timeout  Sets the response timeout in ms (30s).\n",
+    "  --apimon-groups=<string[,...]>\n"
+    "      Sets the VM groups for monitoring (all), comma-separated list.\n"
+    "  --apimon-isln-response=<cmd>\n"
+    "      Sets the isolation response to one of: none, pause, poweroff,\n"
+    "      save, or shutdown.  Default: none\n"
+    "  --apimon-isln-timeout=<ms>\n"
+    "      Sets the isolation timeout in ms (30s).\n"
+    "  --apimon-resp-timeout=<ms>\n"
+    "      Sets the response timeout in ms (30s).\n",
     /* methods. */
     VBoxModAPIMonitorPreInit,
Index: trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxModBallooning.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxModBallooning.cpp	(revision 83797)
+++ trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxModBallooning.cpp	(revision 83798)
@@ -746,20 +746,29 @@
     0 /* Not used */,
     /* pszUsage. */
-    " [--balloon-dec=<MB>] [--balloon-groups=<string>] [--balloon-inc=<MB>]\n"
-    " [--balloon-interval=<ms>] [--balloon-lower-limit=<MB>]\n"
-    " [--balloon-max=<MB>]\n",
+    "           [--balloon-dec=<MB>] [--balloon-groups=<string>]\n"
+    "           [--balloon-inc=<MB>] [--balloon-interval=<ms>]\n"
+    "           [--balloon-lower-limit=<MB>] [--balloon-max=<MB>]\n"
+    "           [--balloon-safety-margin=<MB]\n",
     /* pszOptions. */
-    "--balloon-dec          Sets the ballooning decrement in MB (128 MB).\n"
-    "--balloon-groups       Sets the VM groups for ballooning (all).\n"
-    "--balloon-inc          Sets the ballooning increment in MB (256 MB).\n"
-    "--balloon-interval     Sets the check interval in ms (30 seconds).\n"
-    "--balloon-lower-limit  Sets the ballooning lower limit in MB (64 MB).\n"
-    "--balloon-max          Sets the balloon maximum limit in MB (0 MB).\n"
-    "                       Specifying \"0\" means disabled ballooning.\n"
+    "  --balloon-dec=<MB>\n"
+    "      Sets the ballooning decrement in MB (128 MB).\n"
+    "  --balloon-groups=<string>\n"
+    "      Sets the VM groups for ballooning (all).\n"
+    "  --balloon-inc=<MB>\n"
+    "      Sets the ballooning increment in MB (256 MB).\n"
+    "  --balloon-interval=<ms>\n"
+    "      Sets the check interval in ms (30 seconds).\n"
+    "  --balloon-lower-limit=<MB>\n"
+    "      Sets the ballooning lower limit in MB (64 MB).\n"
+    "  --balloon-max=<MB>\n"
+    "      Sets the balloon maximum limit in MB (0 MB).\n"
+    "      Specifying \"0\" means disabled ballooning.\n"
 #if 1
     /* (Legacy) note. */
-    "Set \"VBoxInternal/Guest/BalloonSizeMax\" for a per-VM maximum ballooning size.\n"
+    "      Set \"VBoxInternal/Guest/BalloonSizeMax\" for a per-VM\n"
+    "      maximum ballooning size.\n"
 #endif
-    "--balloon-safety-margin Free memory when deflating a balloon in MB (1024 MB).\n"
+    "  --balloon-safety-margin=<MB>\n"
+    "     Free memory when deflating a balloon in MB (1024 MB).\n"
     ,
     /* methods. */
Index: trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdog.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdog.cpp	(revision 83797)
+++ trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdog.cpp	(revision 83798)
@@ -53,7 +53,4 @@
 #include <iprt/time.h>
 
-
-#include <algorithm>
-#include <string>
 #include <signal.h>
 
@@ -62,4 +59,31 @@
 using namespace com;
 
+
+/*********************************************************************************************************************************
+*   Structures and Typedefs                                                                                                      *
+*********************************************************************************************************************************/
+/**
+ * The details of the services that has been compiled in.
+ */
+typedef struct VBOXWATCHDOGMOD
+{
+    /** Pointer to the service descriptor. */
+    PCVBOXMODULE    pDesc;
+    /** Whether Pre-init was called. */
+    bool            fPreInited;
+    /** Whether the module is enabled or not. */
+    bool            fEnabled;
+} VBOXWATCHDOGMOD, *PVBOXWATCHDOGMOD;
+
+enum GETOPTDEF_WATCHDOG
+{
+    GETOPTDEF_WATCHDOG_DISABLE_MODULE = 1000,
+    GETOPTDEF_WATCHDOG_DRYRUN
+};
+
+
+/*********************************************************************************************************************************
+*   Global Variables                                                                                                             *
+*********************************************************************************************************************************/
 /** External globals. */
 bool                                g_fDryrun     = false;
@@ -69,7 +93,7 @@
 mapVM                               g_mapVM;
 mapGroup                            g_mapGroup;
-# ifdef VBOX_WATCHDOG_GLOBAL_PERFCOL
+#ifdef VBOX_WATCHDOG_GLOBAL_PERFCOL
 ComPtr<IPerformanceCollector>       g_pPerfCollector = NULL;
-# endif
+#endif
 
 /** The critical section for the machines map. */
@@ -87,17 +111,4 @@
 static bool          g_fDaemonize = false;
 
-/**
- * The details of the services that has been compiled in.
- */
-typedef struct VBOXWATCHDOGMOD
-{
-    /** Pointer to the service descriptor. */
-    PCVBOXMODULE    pDesc;
-    /** Whether Pre-init was called. */
-    bool            fPreInited;
-    /** Whether the module is enabled or not. */
-    bool            fEnabled;
-} VBOXWATCHDOGMOD, *PVBOXWATCHDOGMOD;
-
 static VBOXWATCHDOGMOD g_aModules[] =
 {
@@ -106,14 +117,9 @@
 };
 
-enum GETOPTDEF_WATCHDOG
-{
-    GETOPTDEF_WATCHDOG_DISABLE_MODULE = 1000,
-    GETOPTDEF_WATCHDOG_DRYRUN
-};
-
 /**
  * Command line arguments.
  */
-static const RTGETOPTDEF g_aOptions[] = {
+static const RTGETOPTDEF g_aOptions[] =
+{
 #if defined(RT_OS_DARWIN) || defined(RT_OS_LINUX) || defined (RT_OS_SOLARIS) || defined(RT_OS_FREEBSD)
     { "--background",           'b',                                       RTGETOPT_REQ_NOTHING },
@@ -138,5 +144,8 @@
 static NativeEventQueue         *g_pEventQ = NULL;
 
-/* Prototypes. */
+
+/*********************************************************************************************************************************
+*   Internal Functions                                                                                                           *
+*********************************************************************************************************************************/
 static int machineAdd(const Bstr &strUuid);
 static int machineRemove(const Bstr &strUuid);
@@ -826,29 +835,19 @@
 
     RTStrmPrintf(g_pStdErr,
-                 "Usage:\n"
-                 " %s [-v|--verbose] [-h|-?|--help] [-P|--pidfile]\n"
-                 " [-F|--logfile=<file>] [-R|--logrotate=<num>] [-S|--logsize=<bytes>]\n"
-                 " [-I|--loginterval=<seconds>]\n", pszImage);
+                 "Usage: %s [-v|--verbose] [-h|-?|--help] [-P|--pidfile]\n"
+                 "           [-F|--logfile=<file>] [-R|--logrotate=<num>] \n"
+                 "           [-S|--logsize=<bytes>] [-I|--loginterval=<seconds>]\n",
+                 pszImage);
     for (unsigned j = 0; j < RT_ELEMENTS(g_aModules); j++)
         if (g_aModules[j].pDesc->pszUsage)
             RTStrmPrintf(g_pStdErr, "%s", g_aModules[j].pDesc->pszUsage);
 
-    RTStrmPrintf(g_pStdErr, "\n"
+    RTStrmPrintf(g_pStdErr,
+                 "\n"
                  "Options:\n");
 
-    for (unsigned i = 0;
-         i < RT_ELEMENTS(g_aOptions);
-         ++i)
-    {
-        std::string str(g_aOptions[i].pszLong);
-        if (g_aOptions[i].iShort < 1000) /* Don't show short options which are defined by an ID! */
-        {
-            str += ", -";
-            str += g_aOptions[i].iShort;
-        }
-        str += ":";
-
+    for (unsigned i = 0; i < RT_ELEMENTS(g_aOptions); i++)
+    {
         const char *pcszDescr = "";
-
         switch (g_aOptions[i].iShort)
         {
@@ -891,5 +890,12 @@
         }
 
-        RTStrmPrintf(g_pStdErr, "%-23s%s\n", str.c_str(), pcszDescr);
+        if (g_aOptions[i].iShort < 1000)
+            RTStrmPrintf(g_pStdErr,
+                         "  %s, -%c\n"
+                         "      %s\n", g_aOptions[i].pszLong, g_aOptions[i].iShort, pcszDescr);
+        else
+            RTStrmPrintf(g_pStdErr,
+                         "  %s\n"
+                         "      %s\n", g_aOptions[i].pszLong, g_aOptions[i].iShort, pcszDescr);
     }
 
Index: trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogInternal.h
===================================================================
--- trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogInternal.h	(revision 83797)
+++ trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogInternal.h	(revision 83798)
@@ -35,8 +35,5 @@
 #endif /* !VBOX_ONLY_DOCS */
 
-#include <algorithm>
 #include <map>
-#include <sstream>
-#include <string>
 #include <vector>
 
Index: trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogUtils.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogUtils.cpp	(revision 83797)
+++ trunk/src/VBox/Frontends/VBoxBalloonCtrl/VBoxWatchdogUtils.cpp	(revision 83798)
@@ -22,4 +22,7 @@
 #include <VBox/com/array.h>
 #include "VBoxWatchdogInternal.h"
+
+#include <iprt/sanitized/sstream>
+#include <algorithm>
 
 