Index: /trunk/src/VBox/Additions/WINNT/Installer/VBoxDrvInst.cpp
===================================================================
--- /trunk/src/VBox/Additions/WINNT/Installer/VBoxDrvInst.cpp	(revision 83825)
+++ /trunk/src/VBox/Additions/WINNT/Installer/VBoxDrvInst.cpp	(revision 83826)
@@ -104,5 +104,5 @@
     if (::FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM, NULL, dwLastError, 0, pszMsg, dwBufSize / sizeof(TCHAR), NULL) == 0)
     {
-        _sntprintf(pszMsg, dwBufSize / sizeof(TCHAR), _T("Unknown error!\n"), dwLastError);
+        _sntprintf(pszMsg, dwBufSize / sizeof(TCHAR), _T("Unknown error!\n"));
         return false;
     }
@@ -126,8 +126,8 @@
         _tprintf(_T("(%u) %ws\n"), Event, pEventDescription);
     else
-        _tprintf(_T("(%u) ERROR: %u - %ws\n"), Event, dwError, pEventDescription);
+        _tprintf(_T("(%u) ERROR: %lu - %ws\n"), Event, dwError, pEventDescription);
 
      if (pCallbackContext)
-         fwprintf((FILE*)pCallbackContext, _T("(%u) %u - %s\n"), Event, dwError, pEventDescription);
+         fwprintf((FILE*)pCallbackContext, _T("(%u) %lu - %s\n"), Event, dwError, pEventDescription);
 }
 
@@ -372,5 +372,5 @@
                         TCHAR szErrMsg[1024];
                         GetErrorMsg(dwRet, szErrMsg, sizeof(szErrMsg));
-                        _tprintf(_T("ERROR (%08x): %ws\n"), dwRet, szErrMsg);
+                        _tprintf(_T("ERROR (%08lx): %ws\n"), dwRet, szErrMsg);
                         break;
                     }
@@ -518,5 +518,5 @@
     LONG lRet = RegCreateKeyEx(HKEY_LOCAL_MACHINE, pszSubKey, 0, NULL, REG_OPTION_NON_VOLATILE, KEY_READ | KEY_WRITE, NULL, &hKey, &disp);
     if (lRet != ERROR_SUCCESS)
-        _tprintf(_T("AddStringToMultiSZ: RegCreateKeyEx %ts failed with error %ld!\n"), pszSubKey, lRet);
+        _tprintf(_T("AddStringToMultiSZ: RegCreateKeyEx %s failed with error %ld!\n"), pszSubKey, lRet);
 
     if (lRet == ERROR_SUCCESS)
@@ -530,5 +530,5 @@
             || dwType != REG_MULTI_SZ)
         {
-           _tprintf(_T("AddStringToMultiSZ: RegQueryValueEx failed with error %ld, key type = 0x%x!\n"), lRet, dwType);
+           _tprintf(_T("AddStringToMultiSZ: RegQueryValueEx failed with error %ld, key type = %#lx!\n"), lRet, dwType);
         }
         else
@@ -614,5 +614,5 @@
     LONG lRet = RegCreateKeyEx(HKEY_LOCAL_MACHINE, pszKey, 0, NULL, REG_OPTION_NON_VOLATILE, KEY_READ | KEY_WRITE, NULL, &hkey, &disp);
     if (lRet != ERROR_SUCCESS)
-        _tprintf(_T("RemoveStringFromMultiSZ: RegCreateKeyEx %ts failed with error %ld!\n"), pszKey, lRet);
+        _tprintf(_T("RemoveStringFromMultiSZ: RegCreateKeyEx %s failed with error %ld!\n"), pszKey, lRet);
 
     if (lRet == ERROR_SUCCESS)
@@ -625,11 +625,11 @@
             || dwType != REG_MULTI_SZ)
         {
-            _tprintf(_T("RemoveStringFromMultiSZ: RegQueryValueEx failed with %d, key type = 0x%x!\n"), lRet, dwType);
+            _tprintf(_T("RemoveStringFromMultiSZ: RegQueryValueEx failed with %ld, key type = %#lx!\n"), lRet, dwType);
         }
         else
         {
-        #ifdef DEBUG
+#ifdef DEBUG
             _tprintf(_T("RemoveStringFromMultiSZ: Current key len: %ld\n"), cbKeyValue);
-        #endif
+#endif
 
             TCHAR szCurString[1024] = { 0 };
@@ -661,19 +661,19 @@
             }
             szFinalString[++iNewIndex] = _T('\0');
-        #ifdef DEBUG
+#ifdef DEBUG
             _tprintf(_T("RemoveStringFromMultiSZ: New key value: %ws (%u bytes)\n"),
-                     szFinalString, iNewIndex * sizeof(TCHAR));
-        #endif
+                     szFinalString, (unsigned)(iNewIndex * sizeof(TCHAR)));
+#endif
 
             lRet = RegSetValueExW(hkey, pszKeyValue, 0, REG_MULTI_SZ, (LPBYTE)szFinalString, iNewIndex * sizeof(TCHAR));
             if (lRet != ERROR_SUCCESS)
-                _tprintf(_T("RemoveStringFromMultiSZ: RegSetValueEx failed with %d!\n"), lRet);
+                _tprintf(_T("RemoveStringFromMultiSZ: RegSetValueEx failed with %ld!\n"), lRet);
         }
 
         RegCloseKey(hkey);
-    #ifdef DEBUG
+#ifdef DEBUG
         if (lRet == ERROR_SUCCESS)
             _tprintf(_T("RemoveStringFromMultiSZ: Value %ws successfully removed!\n"), pszValueToRemove);
-    #endif
+#endif
     }
 
@@ -701,5 +701,5 @@
     LONG lRet = RegCreateKeyEx(HKEY_LOCAL_MACHINE, pszSubKey, 0, NULL, REG_OPTION_NON_VOLATILE, KEY_READ | KEY_WRITE, NULL, &hKey, &disp);
     if (lRet != ERROR_SUCCESS)
-        _tprintf(_T("RegistryAddStringToList: RegCreateKeyEx %ts failed with error %ld!\n"), pszSubKey, lRet);
+        _tprintf(_T("RegistryAddStringToList: RegCreateKeyEx %s failed with error %ld!\n"), pszSubKey, lRet);
 
     TCHAR szKeyValue[512] = { 0 };
@@ -711,12 +711,12 @@
         || dwType != REG_SZ)
     {
-        _tprintf(_T("RegistryAddStringToList: RegQueryValueEx failed with %d, key type = 0x%x!\n"), lRet, dwType);
+        _tprintf(_T("RegistryAddStringToList: RegQueryValueEx failed with %ld, key type = %#lx!\n"), lRet, dwType);
     }
 
     if (lRet == ERROR_SUCCESS)
     {
-    #ifdef DEBUG
+#ifdef DEBUG
         _tprintf(_T("RegistryAddStringToList: Key value: %ws\n"), szKeyValue);
-    #endif
+#endif
 
         /* Create entire new list. */
@@ -750,7 +750,7 @@
             }
 
-    #ifdef DEBUG
+#ifdef DEBUG
             _tprintf (_T("RegistryAddStringToList: Temp new key value: %ws\n"), szNewKeyValue);
-    #endif
+#endif
             pszToken = pszNewToken;
         }
@@ -766,7 +766,7 @@
         size_t iNewLen = (wcslen(szNewKeyValue) * sizeof(WCHAR)) + sizeof(WCHAR);
 
-    #ifdef DEBUG
-        _tprintf(_T("RegistryAddStringToList: New provider list: %ws (%u bytes)\n"), szNewKeyValue, iNewLen);
-    #endif
+#ifdef DEBUG
+        _tprintf(_T("RegistryAddStringToList: New provider list: %ws (%u bytes)\n"), szNewKeyValue, (unsigned)iNewLen);
+#endif
 
         lRet = RegSetValueExW(hKey, pszKeyValue, 0, REG_SZ, (LPBYTE)szNewKeyValue, (DWORD)iNewLen);
@@ -796,5 +796,5 @@
     LONG lRet = RegCreateKeyEx(HKEY_LOCAL_MACHINE, pszSubKey, 0, NULL, REG_OPTION_NON_VOLATILE, KEY_READ | KEY_WRITE, NULL, &hKey, &disp);
     if (lRet != ERROR_SUCCESS)
-        _tprintf(_T("RegistryRemoveStringFromList: RegCreateKeyEx %ts failed with error %ld!\n"), pszSubKey, lRet);
+        _tprintf(_T("RegistryRemoveStringFromList: RegCreateKeyEx %s failed with error %ld!\n"), pszSubKey, lRet);
 
     TCHAR szKeyValue[512] = { 0 };
@@ -806,5 +806,5 @@
         || dwType != REG_SZ)
     {
-        _tprintf(_T("RegistryRemoveStringFromList: RegQueryValueEx failed with %d, key type = 0x%x!\n"), lRet, dwType);
+        _tprintf(_T("RegistryRemoveStringFromList: RegQueryValueEx failed with %ld, key type = %#lx!\n"), lRet, dwType);
     }
 
@@ -846,5 +846,5 @@
 
     #ifdef DEBUG
-        _tprintf(_T("RegistryRemoveStringFromList: New provider list: %ws (%u bytes)\n"), szNewKeyValue, iNewLen);
+        _tprintf(_T("RegistryRemoveStringFromList: New provider list: %ws (%u bytes)\n"), szNewKeyValue, (unsigned)iNewLen);
     #endif
 
Index: /trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestDrvInst.cpp
===================================================================
--- /trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestDrvInst.cpp	(revision 83825)
+++ /trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestDrvInst.cpp	(revision 83826)
@@ -451,5 +451,5 @@
   if (!GetModuleFileName(hExe, &szInstallDir[0], sizeof(szInstallDir)))
     {
-      printf("GetModuleFileName failed! rc = %d\n", GetLastError());
+      printf("GetModuleFileName failed! rc=%lu\n", GetLastError());
       return -1;
     }